textures/hgb-supersecret/sky
{
	qer_editorimage textures/hgb-supersecret/eerieblack_flat.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	//q3map_sunExt 0.788 0.887 1 48 85 55 4 32
	//q3map_skylight 48 4
	//q3map_sunExt 0.788 0.887 1 32 70 75 2 16
	//q3map_skylight 42 3
	q3map_sunExt 0.788 0.887 1 32 70 75 2 16
	q3map_skylight 150 4
    
	{
		map textures/hgb-supersecret/eerieblack_flat.tga
	}
}

textures/hgb-supersecret/yellowred_light
{
	qer_editorimage textures/hgb-supersecret/yellowred.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/hgb-supersecret/yellowred.tga
		rgbGen identity
	}
}


textures/hgb-supersecret/orangered_light
{
	qer_editorimage textures/hgb-supersecret/orangered.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm lightfilter

	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 500

	sort 6
	cull none

    {
        map textures/hgb-supersecret/orangered.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.8 0.05 0 1
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }
	{
		map textures/hgb-supersecret/crystalfx2.jpg
		blendFunc add
		rgbGen wave sin 0.1 0.05 0 0.2
		tcGen environment
		tcMod scale 0.25 0.25
	}
	
}

textures/hgb-supersecret/red_light
{
	qer_editorimage textures/hgb-supersecret/red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm lightfilter

	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 500
	sort 6	
	cull none

    {
        map textures/hgb-supersecret/red.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.6 0.05 0 1.2
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }
	{
		map textures/hgb-supersecret/crystalfx3.jpg
		blendFunc add
		rgbGen wave sin 0.12 0.05 0 0.5
		tcGen environment
		tcMod scale 0.25 0.25
	}
}

textures/hgb-supersecret/red2_light
{
	qer_editorimage textures/hgb-supersecret/red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm lightfilter

	q3map_lightmapFilterRadius 0 16
	q3map_surfacelight 500

	sort 6
	cull none

    {
        map textures/hgb-supersecret/red.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen wave sin 0.4 0.05 0 0.7
        alphaFunc GT0
        depthWrite
        rgbGen identity
    }
	{
		map textures/hgb-supersecret/crystalfx3.jpg
		blendFunc add
		rgbGen wave sin 0.04 0.02 0 0.5
		tcGen environment
		tcMod scale 0.5 0.5
	}
}

textures/hgb-supersecret/red_glass
{
   qer_editorimage textures/hgb-supersecret/red.tga

   surfaceparm lightfilter
   surfaceparm trans
   surfaceparm nolightmap

   cull disable

   q3map_lightmapFilterRadius 0 16
   q3map_surfacelight 256

   {
      map textures/hgb-supersecret/red.tga
	  blendfunc add
      rgbGen identity
   }
}

textures/hgb-supersecret/lava
{
	qer_editorimage textures/hgb-supersecret/lava.tga
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightsubdivide 256
	cull disable

	tesssize 128
	cull disable
	//deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/hgb-supersecret/lava.tga
		tcMod turb 0 .2 0 .1
		blendfunc GL_ONE GL_SRC_COLOR	
	}
	{
		map textures/hgb-supersecret/lava_noise.tga
		tcMod turb 0 -0.3 0 .05
		blendfunc add
	}

}


textures/hgb-supersecret/hell_pit
{

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	surfaceparm sky

	qer_editorimage textures/hgb-supersecret/hell_bottom.tga

	{
		map textures/hgb-supersecret/hell_bottom.tga
	}	
}


textures/hgb-supersecret/cultured_nonsolid
{
    qer_editorimage textures/hgb-supersecret/cultured.tga
    qer_trans 0.75

    surfaceparm nonsolid

    q3map_cloneShader textures/hgb-supersecret/cultured
}


// big lightmap + fog
textures/hgb-supersecret/cultured_fog
{
	qer_editorimage textures/hgb-supersecret/cultured.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/cultured.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog.tga
		tcGen vector ( 0.001 0 0 ) ( 0 0 -0.000143 )
		tcmod transform 0 0 0 1 0 0.59
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


// works for vertex shaded models
textures/hgb-supersecret/cultured_fog_models
{
    qer_editorimage textures/hgb-supersecret/cultured.tga
    {
        map textures/hgb-supersecret/cultured.tga
        rgbGen exactVertex
    }    
    {
        clampMap textures/hgb-supersecret/smoothfog.tga
        tcGen vector ( 0.001 0 0 ) ( 0 0 -0.000143 )
        tcmod transform 0 0 0 1 0 0.59
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
}


// big lightmap + fog
// 12288 height, starting at z = 0
// image size is 1024*1024
// 1/12288 = 0.00009765625
// 1/1024  = 0.0009765625

textures/hgb-supersecret/vandykebrown_fog
{
	qer_editorimage textures/hgb-supersecret/vandykebrown.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb-supersecret/vandykebrown_fog_nonsolid_a
{
	qer_editorimage textures/hgb-supersecret/vandykebrown.tga

	surfaceparm nonsolid
	deformvertexes move 0 0 32 sin 0 1 0.7 0.142857

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb-supersecret/vandykebrown_fog_nonsolid_b
{
	qer_editorimage textures/hgb-supersecret/vandykebrown.tga

	surfaceparm nonsolid
	deformvertexes move 0 0 32 sin 0 0.5 0.5 0.2
	
	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}
textures/hgb-supersecret/vandykebrown_fog_nonsolid_c
{
	qer_editorimage textures/hgb-supersecret/vandykebrown.tga

	surfaceparm nonsolid
	deformvertexes move 0 0 32 sin 0 0.8 0.3 0.3
	
	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb-supersecret/vandykebrown_fog_nonsolid_d
{
	qer_editorimage textures/hgb-supersecret/vandykebrown.tga

	surfaceparm nonsolid
	deformvertexes move 0 0 32 sin 0 0.75 0.2 0.5
	
	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


// lower fog
textures/hgb-supersecret/cultured_fog_lower
{
	qer_editorimage textures/hgb-supersecret/cultured.tga

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/cultured.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}	
	{
		clampMap textures/hgb-supersecret/smoothfog_down.tga
		tcGen vector ( 0.000977 0 0 ) ( 0 0 -0.00009765625 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/hgb-supersecret/vandykebrown_dark_nonsolid
{
	qer_editorimage textures/hgb-supersecret/vandykebrown_darkened.tga
	qer_trans 0.75

	surfaceparm nonsolid
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/vandykebrown_darkened.tga
		blendFunc filter
	}
}


textures/hgb-supersecret/slick
{
	qer_editorimage textures/hgb-supersecret/celeste.tga
	
	surfaceparm slick
	
	{
		tcgen lightmap
		map $lightmap
		rgbGen identity
	}
	{
		map textures/hgb-supersecret/celeste.tga
		blendFunc filter
	}
	{
		map textures/hgb-supersecret/crystalfx3.jpg
		blendFunc add
		rgbGen wave sin 0.05 0.01 0 0.1
		tcGen environment
	}
}


textures/hgb-supersecret/white-holo
{
	qer_editorimage textures/hgb-supersecret/brown.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/brown.tga
		blendfunc add
	}
}

textures/hgb-supersecret/trigger_reflect
{
	qer_editorimage textures/hgb-supersecret/trigger_drawing_rotate.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/trigger_drawing_rotate.tga
		blendfunc add
	}
}

textures/hgb-supersecret/trigger_reflect_horizontal
{
	qer_editorimage textures/hgb-supersecret/trigger_drawing_push.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/trigger_drawing_push.tga
		blendfunc add
	}
}

textures/hgb-supersecret/trigger_up
{
	qer_editorimage textures/hgb-supersecret/trigger_drawing_up.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/trigger_drawing_up.tga
		blendfunc add
	}
}

textures/hgb-supersecret/trigger_tele
{
	qer_editorimage textures/hgb-supersecret/trigger_drawing_tele.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/trigger_drawing_tele.tga
		blendfunc add
	}
}

textures/hgb-supersecret/trigger_button
{
	qer_editorimage textures/hgb-supersecret/trigger_drawing_button.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	q3map_surfacelight 32
	q3map_lightsubdivide 512

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/trigger_drawing_button.tga
		blendfunc add
	}
}

textures/hgb-supersecret/corona_orange
{
	qer_editorimage textures/hgb-supersecret/mxl_corona_orange.tga
	qer_trans 0.5
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes autosprite
	
	cull none

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/hgb-supersecret/mxl_corona_orange.tga
		blendfunc add
	}
}

textures/hgb-supersecret/portalnoise
{
	qer_editorimage textures/hgb-supersecret/portalnoise.tga
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	cull none

	{
		map textures/hgb-supersecret/portalnoise.tga
		blendfunc add
		rgbGen wave sin 0.1 0.05 0 0.2
	}
}

textures/hgb-supersecret/portalarm
{
	qer_editorimage textures/hgb-supersecret/portalarm.tga
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	cull none

	{
		map textures/hgb-supersecret/portalarm.tga
		blendfunc add
		rgbGen wave sin 0.2 0.1 0 0.1
		tcmod scroll 0 0.5
	}
}

textures/hgb-supersecret/thanks
{
	qer_editorimage textures/hgb-supersecret/thanks.tga
	qer_trans 0.5

    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nomarks

	surfaceparm trans
    {
        map textures/hgb-supersecret/thanks.tga
        blendfunc blend
    }
}

textures/hgb-supersecret/koruvax
{
	qer_editorimage textures/hgb-supersecret/koruvax2.tga
	qer_trans 0.5

    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nomarks

	surfaceparm trans
    {
        map textures/hgb-supersecret/koruvax2.tga
        blendfunc blend
    }
}


textures/hgb-supersecret/donation_board
{
	qer_editorimage textures/hgb-supersecret/donation_board.jpg

    surfaceparm nolightmap
    surfaceparm noimpact
    surfaceparm nomarks

    {
        map textures/hgb-supersecret/donation_board.jpg
		rgbGen identityLighting
    }
}